## union 0.0.0+p24.04+vunstable+git20251206.0825

=== src/output/qtquick/plugin/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2024 Arjen Hiemstra <ahiemstra@heimr.nl>

add_library(UnionQuickImpl)
ecm_add_qml_module(UnionQuickImpl URI "org.kde.union.impl"
    NO_PLUGIN_OPTIONAL
    DEPENDENCIES QtQuick
)

target_sources(UnionQuickImpl PRIVATE
    QuickElement.cpp
    QuickElement.h
    QuickStyle.cpp
    QuickStyle.h
    Types.h
    Types.cpp
    StyledRectangle.cpp
    StyledRectangle.h
    Positioner.h
    Positioner.cpp
    PositionerLayout.h
    PositionerLayout.cpp
    Icon.h
    Icon.cpp

    scenegraph/UnionNode.cpp
    scenegraph/UnionNode.h
    scenegraph/AreaNode.cpp
    scenegraph/AreaNode.h
    scenegraph/LineNode.cpp
    scenegraph/LineNode.h
    scenegraph/CornerNode.cpp
    scenegraph/CornerNode.h
    scenegraph/ShadowNode.cpp
    scenegraph/ShadowNode.h
    scenegraph/RectangleNode.cpp
    scenegraph/RectangleNode.h

    scenegraph/ShaderNode.cpp
    scenegraph/ShaderNode.h
    scenegraph/ShaderMaterial.cpp
    scenegraph/ShaderMaterial.h
    scenegraph/TextureCache.cpp
    scenegraph/TextureCache.h
    scenegraph/UniformDataStream.h

    scenegraph/RectangleShadowNode.cpp
    scenegraph/RectangleShadowNode.h
    scenegraph/OutlineBorderRectangleNode.cpp
    scenegraph/OutlineBorderRectangleNode.h
)

target_sources(UnionQuickImplplugin PRIVATE
    UnionPlugin.cpp
)

add_subdirectory(properties)

include(shaders.cmake)

ecm_qt_declare_logging_category(UnionQuickImpl
    HEADER qtquick_logging.h
    IDENTIFIER UNION_QTQUICK
    CATEGORY_NAME union.qtquick
    DEFAULT_SEVERITY Debug
    DESCRIPTION "Union - QtQuick Output Plugin"
    EXPORT Union
)

ecm_generate_export_header(UnionQuickImpl
    BASE_NAME UnionQuickImpl
    GROUP_BASE_NAME KF
    VERSION ${PROJECT_VERSION}
    DEPRECATED_BASE_VERSION 0
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

target_include_directories(UnionQuickImpl PUBLIC ${CMAKE_CURRENT_SOURCE_DIR}/properties)
target_link_libraries(UnionQuickImpl PUBLIC Qt6::Core Qt6::Qml Qt6::Quick Qt6::QuickControls2 Union::Union)

if (WITH_FRAMEWORKS)
    target_compile_definitions(UnionQuickImpl PRIVATE WITH_KICONTHEMES)
    target_link_libraries(UnionQuickImpl PRIVATE KF6::IconThemes)
endif()

set_target_properties(UnionQuickImpl PROPERTIES
    VERSION ${PROJECT_VERSION}
    SOVERSION ${PROJECT_VERSION_MAJOR}
)

install(TARGETS UnionQuickImpl ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
ecm_finalize_qml_module(UnionQuickImpl)

=== debian/changelog ===
union (0.0.0+p24.04+vunstable+git20251206.0825-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 08:25:25 +0000

union (0.0.0-0neon) noble; urgency=medium

  * Initial packaging

 -- Neon CI <neon@kde.org>  Wed, 01 Jan 2025 03:12:11 +0000

## union 0.0.0+p24.04+vunstable+git20251209.0431

=== autotests/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2024 Arjen Hiemstra <ahiemstra@heimr.nl>

add_subdirectory(properties)

ecm_add_tests(
    TestStyleRule.cpp
    TestSelector.cpp
    TestTheme.cpp
    TestThemeRegistry.cpp
    TestColor.cpp
    LINK_LIBRARIES Qt6::Test Union::Union
)

if (WITH_CSS_INPUT)
    ecm_add_test(input/TestCss.cpp LINK_LIBRARIES Qt6::Test Union::Union cxx-rust-cssparser)
endif()

# TestTheme requires properly working selectors for it to function
set_tests_properties(TestSelector PROPERTIES FIXTURES_SETUP Selector)
set_tests_properties(TestTheme PROPERTIES FIXTURES_REQUIRED Selector)

# TestThemeRegistry requires properly working themes
set_tests_properties(TestTheme PROPERTIES FIXTURES_SETUP Theme)
set_tests_properties(TestThemeRegistry PROPERTIES FIXTURES_REQUIRED Theme)

=== src/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2024 Arjen Hiemstra <ahiemstra@heimr.nl>

add_library(Union)
add_library(Union::Union ALIAS Union)

target_sources(Union PRIVATE
    ThemeRegistry.cpp
    ThemeRegistry.h
    Theme.cpp
    Theme.h
    ThemeLoader.h
    StyleRule.cpp
    StyleRule.h
    Element.cpp
    Element.h
    ElementQuery.cpp
    ElementQuery.h
    InputPlugin.cpp
    InputPlugin.h
    Selector.cpp
    Selector.h
    PropertiesTypes.h
    Color.cpp
    Color.h
    PluginRegistry.h
)

ecm_qt_declare_logging_category(Union
    HEADER union_logging.h
    IDENTIFIER UNION_GENERAL
    CATEGORY_NAME union.general
    DEFAULT_SEVERITY Debug
    DESCRIPTION "Union - General"
    EXPORT Union
)

ecm_qt_declare_logging_category(Union
    HEADER union_query_logging.h
    IDENTIFIER UNION_QUERY
    CATEGORY_NAME union.query
    DEFAULT_SEVERITY Warning
    DESCRIPTION "Union - Query Debugging"
    EXPORT Union
)

ecm_generate_export_header(Union
    BASE_NAME Union
    GROUP_BASE_NAME KF
    VERSION ${PROJECT_VERSION}
    DEPRECATED_BASE_VERSION 0
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

set_target_properties(Union PROPERTIES
    VERSION ${PROJECT_VERSION}
    SOVERSION ${PROJECT_VERSION_MAJOR}
)

target_link_libraries(Union PUBLIC
    Qt6::Core
    Qt6::Gui
)

target_include_directories(Union PUBLIC
    "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>"
    "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/Union>"
)

add_subdirectory(properties)

add_subdirectory(input)
add_subdirectory(output)
add_subdirectory(platform)

ecm_qt_install_logging_categories(EXPORT Union DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})

ecm_generate_qdoc(Union ../doc/union.qdocconf)

install(TARGETS Union DESTINATION ${KDE_INSTALL_LIBDIR})

=== src/output/qtquick/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2024 Arjen Hiemstra <ahiemstra@heimr.nl>

add_subdirectory(plugin)

add_library(UnionQuickStyle)
ecm_add_qml_module(UnionQuickStyle
    URI "org.kde.union"
    IMPORTS "org.kde.union.impl"
    GENERATE_PLUGIN_SOURCE
)


# Workaround for QTBUG-139626
if (${Qt6Core_VERSION} VERSION_GREATER_EQUAL "6.9.2")
    set_target_properties(UnionQuickStyle PROPERTIES
        QT_QMLCACHEGEN_ARGUMENTS "--only-bytecode"
    )
endif()

ecm_target_qml_sources(UnionQuickStyle SOURCES
    style/AbstractButton.qml
    style/Action.qml
    style/ActionGroup.qml
    style/ApplicationWindow.qml
    style/BusyIndicator.qml
    style/Button.qml
    style/CheckBox.qml
    style/CheckDelegate.qml
    style/ComboBox.qml
    style/Container.qml
    style/Control.qml
    style/Dialog.qml
    style/DialogButtonBox.qml
    style/Drawer.qml
    style/Frame.qml
    style/GroupBox.qml
    style/HorizontalHeaderView.qml
    style/ItemDelegate.qml
    style/Label.qml
    style/Menu.qml
    style/MenuBar.qml
    style/MenuBarItem.qml
    style/MenuItem.qml
    style/MenuSeparator.qml
    style/Page.qml
    style/PageIndicator.qml
    style/Pane.qml
    style/Popup.qml
    style/ProgressBar.qml
    style/RadioButton.qml
    style/RadioDelegate.qml
    style/RangeSlider.qml
    style/RoundButton.qml
    style/ScrollBar.qml
    style/ScrollIndicator.qml
    style/ScrollView.qml
    style/SelectionRectangle.qml
    style/Slider.qml
    style/SpinBox.qml
    style/SplitView.qml
    style/StackView.qml
    style/SwipeDelegate.qml
    style/SwipeView.qml
    style/Switch.qml
    style/SwitchDelegate.qml
    style/TabBar.qml
    style/TabButton.qml
    style/TableViewDelegate.qml
    style/TreeViewDelegate.qml
    style/TextArea.qml
    style/TextField.qml
    style/ToolBar.qml
    style/ToolButton.qml
    style/ToolSeparator.qml
    style/ToolTip.qml
    style/VerticalHeaderView.qml
)

target_link_libraries(UnionQuickStyle PRIVATE UnionQuickImpl)

set_target_properties(UnionQuickStyle PROPERTIES
    VERSION ${PROJECT_VERSION}
    SOVERSION ${PROJECT_VERSION_MAJOR}
)

install(TARGETS UnionQuickStyle ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
ecm_finalize_qml_module(UnionQuickStyle)

=== src/output/qtquick/plugin/CMakeLists.txt ===
--- 
+++ 
@@ -22,6 +22,8 @@
     PositionerLayout.cpp
     Icon.h
     Icon.cpp
+    OutputProperties.cpp
+    OutputProperties.h
 
     scenegraph/UnionNode.cpp
     scenegraph/UnionNode.h

=== debian/changelog ===
union (0.0.0+p24.04+vunstable+git20251209.0431-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 04:31:49 +0000

## union 0.0.0+p24.04+vunstable+git20260129.0314

=== debian/changelog ===
union (0.0.0+p24.04+vunstable+git20260129.0314-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 03:14:24 +0000

=== debian/control ===
Source: union
Section: libs
Priority: optional
Build-Depends: cmake,
               cxx-rust-cssparser-dev,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-karchive-dev,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kcrash-dev,
               kf6-kguiaddons-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kirigami-dev,
               libplasma-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-shadertools-dev,
               qt6-svg-dev,
               rapidyaml
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/plasma/union
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/neon-packaging/union.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/union
Maintainer: Neon CI <neon@kde.org>

Package: libunion-dev
Section: libdevel
Architecture: any
Depends: kf6-extra-cmake-modules,
         qt6-base-dev,
         union (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE's union library
 Union is a Qt style supporting both QtQuick and QtWidgets.
 .
 This package contains the library development files.

Package: union
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE's union library
 Union is a Qt style supporting both QtQuick and QtWidgets.
 .
 This package contains the union main library.

## union 0.0.0+p24.04+vunstable+git20260201.0621

=== CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2024 Arjen Hiemstra <ahiemstra@heimr.nl>

cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.0.0") # handled by release scripts
set(KF_DEP_VERSION "6.0.0") # handled by release scripts

project(Union VERSION ${KF_VERSION})

include(FeatureSummary)
find_package(ECM ${KF_DEP_VERSION} NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(ECMGenerateExportHeader)
include(ECMAddTests)
include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)
include(ECMQmlModule)
include(ECMGenerateQDoc)

option(BUILD_TOOLS "Build tools that are useful for development" ON)
option(BUILD_EXAMPLES "Build example applications" OFF)
option(WITH_FRAMEWORKS "Build features dependant on KDE frameworks" ON)
option(WITH_KIRIGAMI "Build with Kirigami integration" ON)

if (WITH_KIRIGAMI AND NOT WITH_KICONTHEMES)
    message(STATUS "KIconThemes was disabled but Kirigami enabled, forcing KIconThemes as it is required for Kirigami output")
    set(WITH_KICONTHEMES ON)
endif()

set(CMAKE_CXX_STANDARD 20)

set(REQUIRED_QT_VERSION 6.8.0)
find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Gui Quick QuickControls2 Widgets ShaderTools)

if (WITH_FRAMEWORKS)
    find_package(KF6 ${KF_DEP_VERSION} REQUIRED COMPONENTS IconThemes ColorScheme GuiAddons)
    set_package_properties(KF6IconThemes PROPERTIES TYPE REQUIRED PURPOSE "KIconThemes is used for icon recoloring")
    set_package_properties(KF6ColorScheme PROPERTIES TYPE REQUIRED PURPOSE "KColorScheme is used to read system colors")
endif()

if (WITH_KIRIGAMI)
    find_package(KF6KirigamiPlatform ${KF_DEP_VERSION} CONFIG REQUIRED)
endif()

if (BUILD_EXAMPLES)
    find_package(KF6Kirigami REQUIRED)
    set_package_properties(KF6Kirigami PROPERTIES TYPE REQUIRED PURPOSE "The gallery example uses Kirigami for its UI.")
endif()

if (BUILD_TESTING)
    find_package(Qt6Test REQUIRED)
    find_package(Qt6QuickTest REQUIRED)
endif()

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

option(WITH_PLASMASVG_INPUT "Enable Plasma SVG input plugin" OFF)
if (WITH_PLASMASVG_INPUT)
    find_package(Qt6Svg ${REQUIRED_QT_VERSION} REQUIRED CONFIG)
    find_package(KF6 COMPONENTS Archive ColorScheme Config REQUIRED)
    find_package(Plasma REQUIRED)
    find_package(ryml REQUIRED)
endif()

option(WITH_CSS_INPUT "Enable CSS input plugin" ON)
if (WITH_CSS_INPUT)
    find_package(cxx-rust-cssparser REQUIRED)
endif()

add_subdirectory(src)

if(BUILD_TOOLS)
    add_subdirectory(tools)
endif()

if(BUILD_EXAMPLES)
    add_subdirectory(examples)
endif()

if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

ecm_setup_version(
    PROJECT
    VARIABLE_PREFIX Union
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/union_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/UnionConfigVersion.cmake"
    SOVERSION 1
)

configure_package_config_file(
    "UnionConfig.cmake.in"
    "UnionConfig.cmake"
    INSTALL_DESTINATION ${KDE_INSTALL_CMAKEPACKAGEDIR}/Union
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/UnionConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/UnionConfigVersion.cmake"
    DESTINATION ${KDE_INSTALL_CMAKEPACKAGEDIR}/Union
    COMPONENT Devel
)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== autotests/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2024 Arjen Hiemstra <ahiemstra@heimr.nl>

add_subdirectory(properties)

ecm_add_tests(
    TestStyleRule.cpp
    TestSelector.cpp
    TestStyle.cpp
    TestStyleRegistry.cpp
    TestColor.cpp
    LINK_LIBRARIES Qt6::Test Union::Union
)

if (WITH_CSS_INPUT)
    ecm_add_test(input/TestCss.cpp LINK_LIBRARIES Qt6::Test Union::Union cxx-rust-cssparser)
endif()

# TestTheme requires properly working selectors for it to function
set_tests_properties(TestSelector PROPERTIES FIXTURES_SETUP Selector)
set_tests_properties(TestStyle PROPERTIES FIXTURES_REQUIRED Selector)

# TestThemeRegistry requires properly working themes
set_tests_properties(TestStyle PROPERTIES FIXTURES_SETUP Style)
set_tests_properties(TestStyleRegistry PROPERTIES FIXTURES_REQUIRED Style)

=== examples/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2024 Arjen Hiemstra <ahiemstra@heimr.nl>

add_subdirectory(gallery)
add_subdirectory(widgetsgallery)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -5,11 +5,11 @@
 add_library(Union::Union ALIAS Union)
 
 target_sources(Union PRIVATE
-    ThemeRegistry.cpp
-    ThemeRegistry.h
-    Theme.cpp
-    Theme.h
-    ThemeLoader.h
+    StyleRegistry.cpp
+    StyleRegistry.h
+    Style.cpp
+    Style.h
+    StyleLoader.h
     StyleRule.cpp
     StyleRule.h
     Element.cpp

=== tools/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2024 Arjen Hiemstra <ahiemstra@heimr.nl>

add_subdirectory(ruleinspector)

=== autotests/properties/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2024 Arjen Hiemstra <ahiemstra@heimr.nl>
#
# This file is automatically generated from CMakeLists.tests.txt.j2
# To regenerate, run `tools/propertygenerator/generate_properties.py`.

ecm_add_tests(
    TestStyleProperty.cpp
    TestLayoutProperty.cpp
    TestAlignmentProperty.cpp
    TestSizeProperty.cpp
    TestTextProperty.cpp
    TestIconProperty.cpp
    TestBackgroundProperty.cpp
    TestImageProperty.cpp
    TestBorderProperty.cpp
    TestLineProperty.cpp
    TestOutlineProperty.cpp
    TestCornersProperty.cpp
    TestCornerProperty.cpp
    TestShadowProperty.cpp
    TestOffsetProperty.cpp
    LINK_LIBRARIES Qt6::Test Union::Union
)

=== examples/gallery/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2024 Arjen Hiemstra <ahiemstra@heimr.nl>

add_executable(union-gallery)
ecm_add_qml_module(union-gallery URI "org.kde.union.gallery" GENERATE_PLUGIN_SOURCE)

target_sources(union-gallery PRIVATE main.cpp)

ecm_target_qml_sources(union-gallery SOURCES
    Main.qml
)

set(_configured_files
    Buttons.qml
    Text.qml
    Checkable.qml
    Delegates.qml
    Menus.qml
    Dialogs.qml
    ProgressSlider.qml
    Tables.qml
    Tabs.qml
    TreeView.qml
    SwipeView.qml
)

set_property(DIRECTORY PROPERTY CMAKE_CONFIGURE_DEPENDS "${_configured_files}")

set(_styles
    "org.kde.union"
    "org.kde.breeze"
    "org.kde.desktop"
    "org.kde.plasma.components"
)

foreach(_file ${_configured_files})
    foreach(_style ${_styles})
        get_filename_component(_filename "${_file}" NAME_WE)
        file(READ "${_file}" _file_contents)
        string(REPLACE "QtQuick.Controls" "${_style}" _file_contents "${_file_contents}")
        file(GENERATE OUTPUT "${_filename}_${_style}.qml" CONTENT "${_file_contents}")
        ecm_target_qml_sources(union-gallery SOURCES "${CMAKE_CURRENT_BINARY_DIR}/${_filename}_${_style}.qml")
    endforeach()
endforeach()

target_link_libraries(union-gallery PRIVATE Qt6::Quick Qt6::Widgets)

install(TARGETS union-gallery DESTINATION ${KDE_INSTALL_BINDIR})

=== examples/widgetsgallery/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2025 Joshua Goins <josh@redstrate.com>
# SPDX-FileCopyrightText: 2025 Martin Sh <hemisputnik@proton.me>

add_executable(union-widgets-gallery)

target_sources(union-widgets-gallery PRIVATE
    main.cpp
    mainwindow.cpp
    widgetpage.cpp
    buttonspage.cpp
    textpage.cpp
    numberpage.cpp
    checkablepage.cpp
    listpage.cpp
)

target_link_libraries(union-widgets-gallery PRIVATE Qt::Widgets)

install(TARGETS union-widgets-gallery DESTINATION ${KDE_INSTALL_BINDIR})

=== src/input/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2024 Arjen Hiemstra <ahiemstra@heimr.nl>

if (WITH_PLASMASVG_INPUT)
    add_subdirectory(plasmasvg)
endif()

if (WITH_CSS_INPUT)
    add_subdirectory(css)
endif()

=== src/output/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2024 Arjen Hiemstra <ahiemstra@heimr.nl>

add_subdirectory(qtquick)
add_subdirectory(qtwidgets)

if (WITH_KIRIGAMI)
    add_subdirectory(kirigami)
endif()

=== src/platform/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2025 Arjen Hiemstra <ahiemstra@heimr.nl>

if (WITH_FRAMEWORKS)
    add_subdirectory(frameworks)
endif()

=== src/properties/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2024 Arjen Hiemstra <ahiemstra@heimr.nl>
#
# This file is automatically generated from CMakeLists.txt.j2
# To regenerate, run `tools/propertygenerator/generate_properties.py`.

target_sources(Union PRIVATE
    StyleProperty.cpp
    StyleProperty.h
    LayoutProperty.cpp
    LayoutProperty.h
    AlignmentProperty.cpp
    AlignmentProperty.h
    SizeProperty.cpp
    SizeProperty.h
    TextProperty.cpp
    TextProperty.h
    IconProperty.cpp
    IconProperty.h
    BackgroundProperty.cpp
    BackgroundProperty.h
    ImageProperty.cpp
    ImageProperty.h
    BorderProperty.cpp
    BorderProperty.h
    LineProperty.cpp
    LineProperty.h
    OutlineProperty.cpp
    OutlineProperty.h
    CornersProperty.cpp
    CornersProperty.h
    CornerProperty.cpp
    CornerProperty.h
    ShadowProperty.cpp
    ShadowProperty.h
    OffsetProperty.cpp
    OffsetProperty.h
)

=== debian/changelog ===
union (0.0.0+p24.04+vunstable+git20260201.0621-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 06:21:06 +0000
